using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Com.Benday.SqlServerUtility.UI;

/* 
   | Copyright 2007                |
   | Benjamin Day                  |
   | Benjamin Day Consulting, Inc. |
   | http://www.benday.com         |
   | http://blog.benday.com        |
    */

namespace Com.Benday.InstallerActions
{
	public partial class SqlConnectionEditor : Form
	{
		public SqlConnectionEditor()
		{
			InitializeComponent();
		}

		public SqlServerConnStringBuilder ConnectionBuilder
		{
			get
			{
				return m_connectionBuilder;
			}
			set
			{
				m_connectionBuilder = value;
			}
		}

		/// <summary>
		/// Apply this connection setting to all other db connection configs.
		/// </summary>
		public bool ApplyToAll
		{
			get
			{
				return m_chkApplyToAll.Checked;
			}
			set
			{
				m_chkApplyToAll.Checked = value;
			}
		}

		private void m_btnOk_Click(object sender, EventArgs e)
		{
			this.Close();
		}
	}
}